Bug 870362 - Left pane doesn't show the newly registered/created system
Left pane doesn't show the newly registered/created system
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Jordan OMara
Og Maciel
: Triaged
Depends On:
Blocks: 872330
  Show dependency treegraph
 
Reported: 2012-10-26 05:07 EDT by Sachin Ghai
Modified: 2014-11-09 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 872330 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:10:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
unable to create a system via webUI (113.55 KB, image/png)
2012-10-26 05:07 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-10-26 05:07:14 EDT
Created attachment 633752 [details]
unable to create a system via webUI

Description of problem:
I created a dummy system from webUI, however it is not displayed in left pane. And UI raised following message on UI:

'test' did not meet the current search criteria and is not being shown. 

Here 'test' is the system name

Version-Release number of selected component (if applicable):
katello-configure-1.2.0-1.git.211.6c21342.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-foreman-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-all-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-cli-1.2.1-1.git.44.a6551bf.el6.noarch
katello-glue-pulp-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.1-1.git.44.a6551bf.el6.noarch
katello-common-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-candlepin-1.2.1-1.git.172.0e4d2e9.el6.noarch
katello-selinux-1.1.2-1.el6.noarch
katello-certs-tools-1.1.9-1.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Go to systems tab ==> click new system
2. Type name of system and select arch
3. Save
  
Actual results:
Left pane doesn't show the system name

Expected results:
system name should be displayed in left pane

Additional info:
Comment 2 Tom McKay 2012-10-26 14:51:33 EDT
System is failing to get added to elastic-search properly, and thus fails to be returned to the UI. Fix in-progres...
Comment 3 Tom McKay 2012-10-29 13:39:59 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: fcf601d0ab5622f788028af8b0c31769f703cc82
      https://github.com/Katello/katello/commit/fcf601d0ab5622f788028af8b0c31769f703cc82
  Author: Jordan OMara <jomara@redhat.com>
  Date:   2012-10-26 (Fri, 26 Oct 2012)

Problem was parsing the RAM system fact if it contained units (eg. 200 MB)
Comment 4 Mike McCune 2013-08-16 13:52:01 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 5 Mike McCune 2013-09-19 14:10:04 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.